| Server IP : 68.183.124.220 / Your IP : 216.73.216.4 Web Server : Apache/2.4.18 (Ubuntu) System : Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64 User : gavin ( 1000) PHP Version : 7.0.33-0ubuntu0.16.04.16 Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority, MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : ON | Sudo : ON | Pkexec : ON Directory : /etc/rc2.d/ |
Upload File : |
#! /bin/sh
### BEGIN INIT INFO
# Short-Description: Container hypervisor based on LXC
# Description: Container hypervisor based on LXC
# Provides: lxd
# Required-Start: $remote_fs
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
### END INIT INFO
DAEMON=/usr/bin/lxd
NAME=lxd
DESC="Container hypervisor based on LXC"
PIDFILE=/var/run/lxd.pid
. /lib/lsb/init-functions
test -f ${DAEMON} || exit 0
set -e
START="-m --start --quiet --pidfile ${PIDFILE} --name ${NAME} --startas $DAEMON --background"
case "$1" in
start)
if init_is_upstart; then
exit 1
fi
/usr/lib/x86_64-linux-gnu/lxc/lxc-apparmor-load
echo -n "Starting $DESC: "
ulimit -n 65536
[ -e /etc/environment ] && . /etc/environment
/usr/lib/lxd/lxd-bridge.start
if start-stop-daemon ${START} -- --group lxd --logfile=/var/log/lxd/lxd.log >/dev/null 2>&1 ; then
echo "${NAME}."
# Wait for the unix socket
for i in $(seq 30); do
lxc finger --force-local >/dev/null 2>&1 && break
sleep 1
done
/usr/lib/lxd/profile-config
${DAEMON} waitready --timeout=600
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(failed)."
exit 1
else
echo "${DAEMON} already running."
exit 0
fi
fi
exit 0
;;
stop)
if init_is_upstart; then
exit 0
fi
echo -n "Stopping $DESC: "
if start-stop-daemon --stop --quiet --pidfile ${PIDFILE} \
--startas ${DAEMON} --retry 10 --name ${NAME} \
>/dev/null 2>&1 ; then
echo "${NAME}."
/usr/lib/lxd/lxd-bridge stop
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
exit 0
;;
status)
if init_is_upstart; then
exit 0
fi
status_of_proc -p ${PIDFILE} "${DAEMON}" lxd
;;
restart|force-reload)
if init_is_upstart; then
exit 1
fi
$0 stop
exec $0 start
;;
*)
echo "Usage: $0 {start|stop|restart|force-reload}" 1>&2
exit 1
;;
esac